Bug 234982 - sysutils/lnav: update to 0.8.4
Summary: sysutils/lnav: update to 0.8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-15 22:15 UTC by Andrey Pevnev
Modified: 2019-02-04 22:53 UTC (History)
2 users (show)

See Also:


Attachments
update port to 0.8.4 (3.01 KB, patch)
2019-01-15 22:15 UTC, Andrey Pevnev
no flags Details | Diff
update patch to skip basename(__FILE__) which causes coredump (3.96 KB, patch)
2019-01-16 14:10 UTC, Andrey Pevnev
swills: maintainer-approval? (tom)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Pevnev 2019-01-15 22:15:23 UTC
Created attachment 201172 [details]
update port to 0.8.4

Update port to the current version 0.8.4
Comment 1 Andrey Pevnev 2019-01-15 23:55:24 UTC
Please hold on, I found a problem with the port, I’ll update the patch shortly.
Comment 2 Andrey Pevnev 2019-01-16 14:10:06 UTC
Created attachment 201186 [details]
update patch to skip basename(__FILE__) which causes coredump

It's ready now, sorry about the delay!
Comment 3 Adam Weinberger freebsd_committer 2019-01-16 15:51:36 UTC
Thanks, Andrey! It is nice to finally have a working lnav again!
Comment 4 commit-hook freebsd_committer 2019-02-04 22:51:57 UTC
A commit references this bug:

Author: swills
Date: Mon Feb  4 22:51:53 UTC 2019
New revision: 492176
URL: https://svnweb.freebsd.org/changeset/ports/492176

Log:
  sysutils/lnav: update to 0.8.4

  PR:		234982
  Submitted by:	Andrey Pevnev <apevnev@me.com> (with slight modification)
  Approved by:	maintainer timeout (tom@hur.st, >2 weeks)

Changes:
  head/sysutils/lnav/Makefile
  head/sysutils/lnav/distinfo
  head/sysutils/lnav/files/patch-src_extension-functions.cc
  head/sysutils/lnav/files/patch-src_lnav__log.cc
  head/sysutils/lnav/files/patch-src_logfile.cc
Comment 5 Steve Wills freebsd_committer 2019-02-04 22:53:21 UTC
Committed, thanks!